<template>
  <nav class="navbar navbar-expand-lg" :class="theme">
    <a class="navbar-brand" href="#">Меню</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" href="#" @click.stop.prevent="view_main">Главная <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#" @click.stop.prevent="view_garage">Гараж</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Расходы
          </a>
          <div class="dropdown-menu" :class="theme" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="#" @click.stop.prevent="view_gsm">ГСМ</a>
            <a class="dropdown-item" href="#">Обслуживание</a>
            <a class="dropdown-item" href="#">Ремонт</a>
            <a class="dropdown-item" href="#">Прочие расходы</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="#">Статистика</a>
          </div>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#" @click.stop.prevent="view_settings">Настройки</a>
        </li>
      </ul>
      <form class="form-inline my-2 my-lg-0">
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Вход</button>
        <button class="btn btn-outline-warning my-2 my-sm-0" type="submit" @click.stop.prevent="view_registration">Регистрация</button>
      </form>
    </div>
  </nav>
</template>
<script>
  props:['theme_class'],
  methods:{
    view_garage:function(){
      this.$emit('show_garage')
    },

    view_main:function(){
      this.$emit('show_main')
    },

    view_settings:function(){
      this.$emit('show_settings')
    },

    view_gsm:function(){
      this.$emit('show_gsm')
    },

    view_registration: function(){
      this.$emit('show_registration')
    }
  },
  computed:{
    theme: function(){
      if(this.theme_class == "light")
      {
        return 'navbar-light bg-light'
      }
      if(this.theme_class == "dark")
      {
        return 'navbar-light bg-dark'
      }
    }
  }
</script>
<style>

</style>
